﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __SuppliedService = LightSwitchApplication.SuppliedService
Imports __SupplyHeader = LightSwitchApplication.SupplyHeader

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class SuppliedService
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __SuppliedService, __SuppliedService.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the SuppliedService entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __SuppliedService))
            MyBase.New(entitySet)
            
            __SuppliedService.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SuppliedService_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SuppliedService_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __SuppliedService.DetailsClass.GetValue(Me, __SuppliedService.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __SuppliedService.DetailsClass.SetValue(Me, __SuppliedService.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __SuppliedService.DetailsClass.GetValue(Me, __SuppliedService.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __SuppliedService.DetailsClass.SetValue(Me, __SuppliedService.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property ServiceName As String
            Get
                Return __SuppliedService.DetailsClass.GetValue(Me, __SuppliedService.DetailsClass.PropertySetProperties.ServiceName)
            End Get
            Set
                __SuppliedService.DetailsClass.SetValue(Me, __SuppliedService.DetailsClass.PropertySetProperties.ServiceName, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ServiceName_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ServiceName_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ServiceName_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Comment As String
            Get
                Return __SuppliedService.DetailsClass.GetValue(Me, __SuppliedService.DetailsClass.PropertySetProperties.Comment)
            End Get
            Set
                __SuppliedService.DetailsClass.SetValue(Me, __SuppliedService.DetailsClass.PropertySetProperties.Comment, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Comment_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Comment_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Comment_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property SupplyHeader As Global.LightSwitchApplication.SupplyHeader
            Get
                Return __SuppliedService.DetailsClass.GetValue(Me, __SuppliedService.DetailsClass.PropertySetProperties.SupplyHeader)
            End Get
            Set
                __SuppliedService.DetailsClass.SetValue(Me, __SuppliedService.DetailsClass.PropertySetProperties.SupplyHeader, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SupplyHeader_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SupplyHeader_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SupplyHeader_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property InvoiceHeader As Global.LightSwitchApplication.InvoiceHeader
            Get
                Return __SuppliedService.DetailsClass.GetValue(Me, __SuppliedService.DetailsClass.PropertySetProperties.InvoiceHeader)
            End Get
            Set
                __SuppliedService.DetailsClass.SetValue(Me, __SuppliedService.DetailsClass.PropertySetProperties.InvoiceHeader, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceHeader_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceHeader_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceHeader_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __SuppliedService, _
                __SuppliedService.DetailsClass, _
                __SuppliedService.DetailsClass.IImplementation, _
                __SuppliedService.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __SuppliedService, __SuppliedService.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __SuppliedService, __SuppliedService.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __SuppliedService.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __SuppliedServiceEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __SuppliedService, __SuppliedService.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __SuppliedService, __SuppliedService.DetailsClass).Entry( _
                    AddressOf __SuppliedService.DetailsClass.__SuppliedService_CreateNew, _
                    AddressOf __SuppliedService.DetailsClass.__SuppliedService_Created, _
                    AddressOf __SuppliedService.DetailsClass.__SuppliedService_AllowSaveWithErrors)
            Private Shared Function __SuppliedService_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __SuppliedService)) As __SuppliedService
                Return New __SuppliedService(es)
            End Function
            Private Shared Sub __SuppliedService_Created(e As __SuppliedService)
                e.SuppliedService_Created()
            End Sub
            Private Shared Function __SuppliedService_AllowSaveWithErrors(e As __SuppliedService) As Boolean
                Dim result As Boolean = False
                e.SuppliedService_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __SuppliedService, __SuppliedService.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __SuppliedService, __SuppliedService.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __SuppliedService.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __SuppliedService, __SuppliedService.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SuppliedService.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SuppliedService.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property ServiceName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SuppliedService.DetailsClass.PropertySetProperties.ServiceName),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Comment As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SuppliedService.DetailsClass.PropertySetProperties.Comment),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property SupplyHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Global.LightSwitchApplication.SupplyHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SuppliedService.DetailsClass.PropertySetProperties.SupplyHeader),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Global.LightSwitchApplication.SupplyHeader))
                    End Get
                End Property
                
                Public ReadOnly Property InvoiceHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Global.LightSwitchApplication.InvoiceHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SuppliedService.DetailsClass.PropertySetProperties.InvoiceHeader),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Global.LightSwitchApplication.InvoiceHeader))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property ServiceName As String
                Shadows Property Comment As String
                Shadows Property SupplyHeader As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                Shadows Property InvoiceHeader As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SuppliedService.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Integer).Data), d As __SuppliedService.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __SuppliedService) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __SuppliedService, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __SuppliedService.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __SuppliedService.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __SuppliedService)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SuppliedService.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Byte()).Data), d As __SuppliedService.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __SuppliedService) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __SuppliedService, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __SuppliedService.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __SuppliedService.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __SuppliedService)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ServiceName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, String).Entry( _
                        "ServiceName", _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._ServiceName_Stub, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._ServiceName_ComputeIsReadOnly, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._ServiceName_Validate, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._ServiceName_GetImplementationValue, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._ServiceName_SetImplementationValue, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._ServiceName_OnValueChanged)
                Private Shared Sub _ServiceName_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SuppliedService.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, String).Data), d As __SuppliedService.DetailsClass, sf As Object)
                    c(d, d._ServiceName, sf)
                End Sub
                Private Shared Function _ServiceName_ComputeIsReadOnly(e As __SuppliedService) As Boolean
                    Dim result As Boolean = False
                    e.ServiceName_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _ServiceName_Validate(e As __SuppliedService, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ServiceName_Validate(r)
                End Sub
                Private Shared Function _ServiceName_GetImplementationValue(d As __SuppliedService.DetailsClass) As String
                    Return d.ImplementationEntity.ServiceName
                End Function
                Private Shared Sub _ServiceName_SetImplementationValue(d As __SuppliedService.DetailsClass, v As String)
                    d.ImplementationEntity.ServiceName = v
                End Sub
                Private Shared Sub _ServiceName_OnValueChanged(e As __SuppliedService)
                    e.ServiceName_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Comment As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, String).Entry( _
                        "Comment", _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._Comment_Stub, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._Comment_ComputeIsReadOnly, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._Comment_Validate, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._Comment_GetImplementationValue, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._Comment_SetImplementationValue, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._Comment_OnValueChanged)
                Private Shared Sub _Comment_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SuppliedService.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, String).Data), d As __SuppliedService.DetailsClass, sf As Object)
                    c(d, d._Comment, sf)
                End Sub
                Private Shared Function _Comment_ComputeIsReadOnly(e As __SuppliedService) As Boolean
                    Dim result As Boolean = False
                    e.Comment_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Comment_Validate(e As __SuppliedService, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Comment_Validate(r)
                End Sub
                Private Shared Function _Comment_GetImplementationValue(d As __SuppliedService.DetailsClass) As String
                    Return d.ImplementationEntity.Comment
                End Function
                Private Shared Sub _Comment_SetImplementationValue(d As __SuppliedService.DetailsClass, v As String)
                    d.ImplementationEntity.Comment = v
                End Sub
                Private Shared Sub _Comment_OnValueChanged(e As __SuppliedService)
                    e.Comment_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly SupplyHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Global.LightSwitchApplication.SupplyHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Global.LightSwitchApplication.SupplyHeader).Entry( _
                        "SupplyHeader", _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._SupplyHeader_Stub, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._SupplyHeader_ComputeIsReadOnly, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._SupplyHeader_Validate, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._SupplyHeader_GetCoreImplementationValue, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._SupplyHeader_GetImplementationValue, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._SupplyHeader_SetImplementationValue, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._SupplyHeader_Refresh, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._SupplyHeader_OnValueChanged)
                Private Shared Sub _SupplyHeader_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SuppliedService.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Global.LightSwitchApplication.SupplyHeader).Data), d As __SuppliedService.DetailsClass, sf As Object)
                    c(d, d._SupplyHeader, sf)
                End Sub
                Private Shared Function _SupplyHeader_ComputeIsReadOnly(e As __SuppliedService) As Boolean
                    Dim result As Boolean = False
                    e.SupplyHeader_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _SupplyHeader_Validate(e As __SuppliedService, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.SupplyHeader_Validate(r)
                End Sub
                Private Shared Function _SupplyHeader_GetCoreImplementationValue(d as __SuppliedService.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.SupplyHeader
                End Function
                Private Shared Function _SupplyHeader_GetImplementationValue(d as __SuppliedService.DetailsClass) As Global.LightSwitchApplication.SupplyHeader
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.SupplyHeader, Global.LightSwitchApplication.SupplyHeader.DetailsClass)(__SuppliedService.DetailsClass.PropertySetProperties.SupplyHeader, d._SupplyHeader)
                End Function
                Private Shared Sub _SupplyHeader_SetImplementationValue(d As __SuppliedService.DetailsClass, v As Global.LightSwitchApplication.SupplyHeader)
                    d.SetImplementationValue(__SuppliedService.DetailsClass.PropertySetProperties.SupplyHeader, d._SupplyHeader, Sub(i, ev) i.SupplyHeader = ev, v)
                End Sub
                Private Shared Sub _SupplyHeader_Refresh(d As __SuppliedService.DetailsClass)
                    d.RefreshNavigationProperty(__SuppliedService.DetailsClass.PropertySetProperties.SupplyHeader, d._SupplyHeader)
                End Sub
                Private Shared Sub _SupplyHeader_OnValueChanged(e As __SuppliedService)
                    e.SupplyHeader_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly InvoiceHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Entry( _
                        "InvoiceHeader", _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._InvoiceHeader_Stub, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._InvoiceHeader_ComputeIsReadOnly, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._InvoiceHeader_Validate, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._InvoiceHeader_GetCoreImplementationValue, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._InvoiceHeader_GetImplementationValue, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._InvoiceHeader_SetImplementationValue, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._InvoiceHeader_Refresh, _
                        AddressOf __SuppliedService.DetailsClass.PropertySetProperties._InvoiceHeader_OnValueChanged)
                Private Shared Sub _InvoiceHeader_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SuppliedService.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Data), d As __SuppliedService.DetailsClass, sf As Object)
                    c(d, d._InvoiceHeader, sf)
                End Sub
                Private Shared Function _InvoiceHeader_ComputeIsReadOnly(e As __SuppliedService) As Boolean
                    Dim result As Boolean = False
                    e.InvoiceHeader_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _InvoiceHeader_Validate(e As __SuppliedService, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.InvoiceHeader_Validate(r)
                End Sub
                Private Shared Function _InvoiceHeader_GetCoreImplementationValue(d as __SuppliedService.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.InvoiceHeader
                End Function
                Private Shared Function _InvoiceHeader_GetImplementationValue(d as __SuppliedService.DetailsClass) As Global.LightSwitchApplication.InvoiceHeader
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.InvoiceHeader, Global.LightSwitchApplication.InvoiceHeader.DetailsClass)(__SuppliedService.DetailsClass.PropertySetProperties.InvoiceHeader, d._InvoiceHeader)
                End Function
                Private Shared Sub _InvoiceHeader_SetImplementationValue(d As __SuppliedService.DetailsClass, v As Global.LightSwitchApplication.InvoiceHeader)
                    d.SetImplementationValue(__SuppliedService.DetailsClass.PropertySetProperties.InvoiceHeader, d._InvoiceHeader, Sub(i, ev) i.InvoiceHeader = ev, v)
                End Sub
                Private Shared Sub _InvoiceHeader_Refresh(d As __SuppliedService.DetailsClass)
                    d.RefreshNavigationProperty(__SuppliedService.DetailsClass.PropertySetProperties.InvoiceHeader, d._InvoiceHeader)
                End Sub
                Private Shared Sub _InvoiceHeader_OnValueChanged(e As __SuppliedService)
                    e.InvoiceHeader_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ServiceName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Comment As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedService, __SuppliedService.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _SupplyHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Global.LightSwitchApplication.SupplyHeader).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _InvoiceHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedService, __SuppliedService.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Data
            
        End Class
    
        #End Region
    
    End Class
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class SupplyHeader
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __SupplyHeader, __SupplyHeader.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the SupplyHeader entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __SupplyHeader))
            MyBase.New(entitySet)
            
            __SupplyHeader.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SupplyHeader_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SupplyHeader_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __SupplyHeader.DetailsClass.GetValue(Me, __SupplyHeader.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __SupplyHeader.DetailsClass.SetValue(Me, __SupplyHeader.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __SupplyHeader.DetailsClass.GetValue(Me, __SupplyHeader.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __SupplyHeader.DetailsClass.SetValue(Me, __SupplyHeader.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property OrderDate As Date
            Get
                Return __SupplyHeader.DetailsClass.GetValue(Me, __SupplyHeader.DetailsClass.PropertySetProperties.OrderDate)
            End Get
            Set
                __SupplyHeader.DetailsClass.SetValue(Me, __SupplyHeader.DetailsClass.PropertySetProperties.OrderDate, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub OrderDate_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub OrderDate_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub OrderDate_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property SupplyStatus As String
            Get
                Return __SupplyHeader.DetailsClass.GetValue(Me, __SupplyHeader.DetailsClass.PropertySetProperties.SupplyStatus)
            End Get
            Set
                __SupplyHeader.DetailsClass.SetValue(Me, __SupplyHeader.DetailsClass.PropertySetProperties.SupplyStatus, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SupplyStatus_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SupplyStatus_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SupplyStatus_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Supplier As Global.LightSwitchApplication.Supplier
            Get
                Return __SupplyHeader.DetailsClass.GetValue(Me, __SupplyHeader.DetailsClass.PropertySetProperties.Supplier)
            End Get
            Set
                __SupplyHeader.DetailsClass.SetValue(Me, __SupplyHeader.DetailsClass.PropertySetProperties.Supplier, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Supplier_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Supplier_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Supplier_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PropertyHeader As Global.LightSwitchApplication.PropertyHeader
            Get
                Return __SupplyHeader.DetailsClass.GetValue(Me, __SupplyHeader.DetailsClass.PropertySetProperties.PropertyHeader)
            End Get
            Set
                __SupplyHeader.DetailsClass.SetValue(Me, __SupplyHeader.DetailsClass.PropertySetProperties.PropertyHeader, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PropertyHeader_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PropertyHeader_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PropertyHeader_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property SuppliedProducts As Global.Microsoft.LightSwitch.Framework.EntityCollection(Of Global.LightSwitchApplication.SuppliedProduct)
            Get
                Return __SupplyHeader.DetailsClass.GetValue(Me, __SupplyHeader.DetailsClass.PropertySetProperties.SuppliedProducts)
            End Get
        End Property
        
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property SuppliedProductsQuery As Microsoft.LightSwitch.IDataServiceQueryable(Of Global.LightSwitchApplication.SuppliedProduct)
            Get
                Return __SupplyHeader.DetailsClass.GetQuery(Me, __SupplyHeader.DetailsClass.PropertySetProperties.SuppliedProducts)
            End Get
        End Property

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property SuppliedServices As Global.Microsoft.LightSwitch.Framework.EntityCollection(Of Global.LightSwitchApplication.SuppliedService)
            Get
                Return __SupplyHeader.DetailsClass.GetValue(Me, __SupplyHeader.DetailsClass.PropertySetProperties.SuppliedServices)
            End Get
        End Property
        
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property SuppliedServicesQuery As Microsoft.LightSwitch.IDataServiceQueryable(Of Global.LightSwitchApplication.SuppliedService)
            Get
                Return __SupplyHeader.DetailsClass.GetQuery(Me, __SupplyHeader.DetailsClass.PropertySetProperties.SuppliedServices)
            End Get
        End Property

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __SupplyHeader, _
                __SupplyHeader.DetailsClass, _
                __SupplyHeader.DetailsClass.IImplementation, _
                __SupplyHeader.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __SupplyHeader, __SupplyHeader.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __SupplyHeader, __SupplyHeader.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __SupplyHeader.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __SupplyHeaderEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __SupplyHeader, __SupplyHeader.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __SupplyHeader, __SupplyHeader.DetailsClass).Entry( _
                    AddressOf __SupplyHeader.DetailsClass.__SupplyHeader_CreateNew, _
                    AddressOf __SupplyHeader.DetailsClass.__SupplyHeader_Created, _
                    AddressOf __SupplyHeader.DetailsClass.__SupplyHeader_AllowSaveWithErrors)
            Private Shared Function __SupplyHeader_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __SupplyHeader)) As __SupplyHeader
                Return New __SupplyHeader(es)
            End Function
            Private Shared Sub __SupplyHeader_Created(e As __SupplyHeader)
                e.SupplyHeader_Created()
            End Sub
            Private Shared Function __SupplyHeader_AllowSaveWithErrors(e As __SupplyHeader) As Boolean
                Dim result As Boolean = False
                e.SupplyHeader_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __SupplyHeader, __SupplyHeader.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __SupplyHeader, __SupplyHeader.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __SupplyHeader.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __SupplyHeader, __SupplyHeader.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SupplyHeader.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SupplyHeader.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property OrderDate As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Date)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SupplyHeader.DetailsClass.PropertySetProperties.OrderDate),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Date))
                    End Get
                End Property
                
                Public ReadOnly Property SupplyStatus As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SupplyHeader.DetailsClass.PropertySetProperties.SupplyStatus),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Supplier As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.Supplier)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SupplyHeader.DetailsClass.PropertySetProperties.Supplier),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.Supplier))
                    End Get
                End Property
                
                Public ReadOnly Property PropertyHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.PropertyHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SupplyHeader.DetailsClass.PropertySetProperties.PropertyHeader),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.PropertyHeader))
                    End Get
                End Property
                
                Public ReadOnly Property SuppliedProducts As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.SuppliedProduct)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SupplyHeader.DetailsClass.PropertySetProperties.SuppliedProducts),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.SuppliedProduct))
                    End Get
                End Property
                
                Public ReadOnly Property SuppliedServices As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.SuppliedService)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SupplyHeader.DetailsClass.PropertySetProperties.SuppliedServices),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.SuppliedService))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property OrderDate As Date
                Shadows Property SupplyStatus As String
                Shadows Property Supplier As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                Shadows Property PropertyHeader As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                Shadows ReadOnly Property SuppliedProducts As Global.System.Collections.IEnumerable
                Shadows ReadOnly Property SuppliedServices As Global.System.Collections.IEnumerable
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SupplyHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Integer).Data), d As __SupplyHeader.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __SupplyHeader) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __SupplyHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __SupplyHeader.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __SupplyHeader.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __SupplyHeader)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SupplyHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Byte()).Data), d As __SupplyHeader.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __SupplyHeader) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __SupplyHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __SupplyHeader.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __SupplyHeader.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __SupplyHeader)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly OrderDate As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Date).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Date).Entry( _
                        "OrderDate", _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._OrderDate_Stub, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._OrderDate_ComputeIsReadOnly, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._OrderDate_Validate, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._OrderDate_GetImplementationValue, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._OrderDate_SetImplementationValue, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._OrderDate_OnValueChanged)
                Private Shared Sub _OrderDate_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SupplyHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Date).Data), d As __SupplyHeader.DetailsClass, sf As Object)
                    c(d, d._OrderDate, sf)
                End Sub
                Private Shared Function _OrderDate_ComputeIsReadOnly(e As __SupplyHeader) As Boolean
                    Dim result As Boolean = False
                    e.OrderDate_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _OrderDate_Validate(e As __SupplyHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.OrderDate_Validate(r)
                End Sub
                Private Shared Function _OrderDate_GetImplementationValue(d As __SupplyHeader.DetailsClass) As Date
                    Return d.ImplementationEntity.OrderDate
                End Function
                Private Shared Sub _OrderDate_SetImplementationValue(d As __SupplyHeader.DetailsClass, v As Date)
                    d.ImplementationEntity.OrderDate = __SupplyHeader.DetailsClass.TruncateDate(v)
                End Sub
                Private Shared Sub _OrderDate_OnValueChanged(e As __SupplyHeader)
                    e.OrderDate_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly SupplyStatus As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, String).Entry( _
                        "SupplyStatus", _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._SupplyStatus_Stub, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._SupplyStatus_ComputeIsReadOnly, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._SupplyStatus_Validate, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._SupplyStatus_GetImplementationValue, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._SupplyStatus_SetImplementationValue, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._SupplyStatus_OnValueChanged)
                Private Shared Sub _SupplyStatus_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SupplyHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, String).Data), d As __SupplyHeader.DetailsClass, sf As Object)
                    c(d, d._SupplyStatus, sf)
                End Sub
                Private Shared Function _SupplyStatus_ComputeIsReadOnly(e As __SupplyHeader) As Boolean
                    Dim result As Boolean = False
                    e.SupplyStatus_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _SupplyStatus_Validate(e As __SupplyHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.SupplyStatus_Validate(r)
                End Sub
                Private Shared Function _SupplyStatus_GetImplementationValue(d As __SupplyHeader.DetailsClass) As String
                    Return d.ImplementationEntity.SupplyStatus
                End Function
                Private Shared Sub _SupplyStatus_SetImplementationValue(d As __SupplyHeader.DetailsClass, v As String)
                    d.ImplementationEntity.SupplyStatus = v
                End Sub
                Private Shared Sub _SupplyStatus_OnValueChanged(e As __SupplyHeader)
                    e.SupplyStatus_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Supplier As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.Supplier).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.Supplier).Entry( _
                        "Supplier", _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._Supplier_Stub, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._Supplier_ComputeIsReadOnly, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._Supplier_Validate, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._Supplier_GetCoreImplementationValue, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._Supplier_GetImplementationValue, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._Supplier_SetImplementationValue, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._Supplier_Refresh, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._Supplier_OnValueChanged)
                Private Shared Sub _Supplier_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SupplyHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.Supplier).Data), d As __SupplyHeader.DetailsClass, sf As Object)
                    c(d, d._Supplier, sf)
                End Sub
                Private Shared Function _Supplier_ComputeIsReadOnly(e As __SupplyHeader) As Boolean
                    Dim result As Boolean = False
                    e.Supplier_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Supplier_Validate(e As __SupplyHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Supplier_Validate(r)
                End Sub
                Private Shared Function _Supplier_GetCoreImplementationValue(d as __SupplyHeader.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.Supplier
                End Function
                Private Shared Function _Supplier_GetImplementationValue(d as __SupplyHeader.DetailsClass) As Global.LightSwitchApplication.Supplier
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.Supplier, Global.LightSwitchApplication.Supplier.DetailsClass)(__SupplyHeader.DetailsClass.PropertySetProperties.Supplier, d._Supplier)
                End Function
                Private Shared Sub _Supplier_SetImplementationValue(d As __SupplyHeader.DetailsClass, v As Global.LightSwitchApplication.Supplier)
                    d.SetImplementationValue(__SupplyHeader.DetailsClass.PropertySetProperties.Supplier, d._Supplier, Sub(i, ev) i.Supplier = ev, v)
                End Sub
                Private Shared Sub _Supplier_Refresh(d As __SupplyHeader.DetailsClass)
                    d.RefreshNavigationProperty(__SupplyHeader.DetailsClass.PropertySetProperties.Supplier, d._Supplier)
                End Sub
                Private Shared Sub _Supplier_OnValueChanged(e As __SupplyHeader)
                    e.Supplier_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PropertyHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Entry( _
                        "PropertyHeader", _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._PropertyHeader_Stub, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._PropertyHeader_ComputeIsReadOnly, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._PropertyHeader_Validate, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._PropertyHeader_GetCoreImplementationValue, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._PropertyHeader_GetImplementationValue, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._PropertyHeader_SetImplementationValue, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._PropertyHeader_Refresh, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._PropertyHeader_OnValueChanged)
                Private Shared Sub _PropertyHeader_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SupplyHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Data), d As __SupplyHeader.DetailsClass, sf As Object)
                    c(d, d._PropertyHeader, sf)
                End Sub
                Private Shared Function _PropertyHeader_ComputeIsReadOnly(e As __SupplyHeader) As Boolean
                    Dim result As Boolean = False
                    e.PropertyHeader_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PropertyHeader_Validate(e As __SupplyHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PropertyHeader_Validate(r)
                End Sub
                Private Shared Function _PropertyHeader_GetCoreImplementationValue(d as __SupplyHeader.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.PropertyHeader
                End Function
                Private Shared Function _PropertyHeader_GetImplementationValue(d as __SupplyHeader.DetailsClass) As Global.LightSwitchApplication.PropertyHeader
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.PropertyHeader, Global.LightSwitchApplication.PropertyHeader.DetailsClass)(__SupplyHeader.DetailsClass.PropertySetProperties.PropertyHeader, d._PropertyHeader)
                End Function
                Private Shared Sub _PropertyHeader_SetImplementationValue(d As __SupplyHeader.DetailsClass, v As Global.LightSwitchApplication.PropertyHeader)
                    d.SetImplementationValue(__SupplyHeader.DetailsClass.PropertySetProperties.PropertyHeader, d._PropertyHeader, Sub(i, ev) i.PropertyHeader = ev, v)
                End Sub
                Private Shared Sub _PropertyHeader_Refresh(d As __SupplyHeader.DetailsClass)
                    d.RefreshNavigationProperty(__SupplyHeader.DetailsClass.PropertySetProperties.PropertyHeader, d._PropertyHeader)
                End Sub
                Private Shared Sub _PropertyHeader_OnValueChanged(e As __SupplyHeader)
                    e.PropertyHeader_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly SuppliedProducts As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.SuppliedProduct).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.SuppliedProduct).Entry( _
                        "SuppliedProducts", _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._SuppliedProducts_Stub, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._SuppliedProducts_GetReferencedEntities, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._SuppliedProducts_GetEntityCollection)
                Private Shared Sub _SuppliedProducts_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SupplyHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.SuppliedProduct).Data), d As __SupplyHeader.DetailsClass, sf As Object)
                    c(d, d._SuppliedProducts, sf)
                End Sub
                Private Shared Function _SuppliedProducts_GetReferencedEntities(d As __SupplyHeader.DetailsClass) As Global.System.Collections.Generic.IEnumerable(Of Global.LightSwitchApplication.SuppliedProduct)
                    Return d.GetReferencedEntities(Of Global.LightSwitchApplication.SuppliedProduct, Global.LightSwitchApplication.SuppliedProduct.DetailsClass)(__SupplyHeader.DetailsClass.PropertySetProperties.SuppliedProducts, d._SuppliedProducts)
                End Function
                Private Shared Function _SuppliedProducts_GetEntityCollection(d As __SupplyHeader.DetailsClass) As Global.System.Collections.IEnumerable
                    Return d.ImplementationEntity.SuppliedProducts
                End Function
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly SuppliedServices As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.SuppliedService).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.SuppliedService).Entry( _
                        "SuppliedServices", _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._SuppliedServices_Stub, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._SuppliedServices_GetReferencedEntities, _
                        AddressOf __SupplyHeader.DetailsClass.PropertySetProperties._SuppliedServices_GetEntityCollection)
                Private Shared Sub _SuppliedServices_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SupplyHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.SuppliedService).Data), d As __SupplyHeader.DetailsClass, sf As Object)
                    c(d, d._SuppliedServices, sf)
                End Sub
                Private Shared Function _SuppliedServices_GetReferencedEntities(d As __SupplyHeader.DetailsClass) As Global.System.Collections.Generic.IEnumerable(Of Global.LightSwitchApplication.SuppliedService)
                    Return d.GetReferencedEntities(Of Global.LightSwitchApplication.SuppliedService, Global.LightSwitchApplication.SuppliedService.DetailsClass)(__SupplyHeader.DetailsClass.PropertySetProperties.SuppliedServices, d._SuppliedServices)
                End Function
                Private Shared Function _SuppliedServices_GetEntityCollection(d As __SupplyHeader.DetailsClass) As Global.System.Collections.IEnumerable
                    Return d.ImplementationEntity.SuppliedServices
                End Function
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _OrderDate As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Date).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _SupplyStatus As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Supplier As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.Supplier).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PropertyHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _SuppliedProducts As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.SuppliedProduct).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _SuppliedServices As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __SupplyHeader, __SupplyHeader.DetailsClass, Global.LightSwitchApplication.SuppliedService).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
